declare namespace TopJsSystem {

    export interface NetworkInterface {
        name:string,
        mac:string,
        address:string,
        netmask:string,
    }

    /**
     * 获取操作系统位数；'x32'|'x64'
     */
    export function arch():string

    /**
     * 返回计算机主机名
     */
    export function hostname():string

    /**
     * 返回计算机网卡信息
     */
    export function networkInterfaces():Map<string, Array<NetworkInterface>>

    /**
     * 获取操作系统临时目录
     */
    export function tmpdir():string

    /**
     * 获取操作系统当前用户HOME目录;
     */
    export function homedir():string

    /**
     * 返回操作系统类型'windows'|'linux'|'mac'
     */
    export function type():string
    

    /**
     * 获取操作系统内核类型
     */
    export function kernelType():string

    /**
     * 获取操作系统内核版本
     */
    export function kernelVersion():string

    /**
     * 获取操作系统版本
     */
    export function version():string

    /**
     * 获取操作系统名称
     */
    export function name():string

    /**
     * 获取操作系统名称2
     */
    export function prettyName():string

    /**
     * 获取操作系统时间
     */
    export function getNow():string

    /**
     * 获取操作系统日期
     */
    export function getToday():string
}

export = TopJsSystem;
